## python-logfury 0.1.2

=== requirements.txt ===
six>=1.10
funcsigs

=== debian/changelog ===
python-logfury (0.1.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * Team upload.
  * Patch out unneeded runtime dependency on python3-funcsigs

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 May 2020 19:27:49 +0000

python-logfury (0.1.2-3) unstable; urgency=medium

  * Bump standards version to 4.4.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * d/tests: Add module test
  * d/control:
    - Remove pytest from depends (no needed)
    - Wrap and sort
  * Bump watchfile version to 4

 -- Ondřej Kobližek <koblizeko@gmail.com>  Fri, 19 Jul 2019 15:03:37 +0200

python-logfury (0.1.2-2) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Bump debhelper compat level to 11
  * Bump standards version to 4.2.1 (no changes)
  * d/copyright: Add myself for Debian part
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 21:00:48 +0200

python-logfury (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #875561)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Tue, 12 Sep 2017 10:28:18 +0200

=== debian/control ===
Source: python-logfury
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-nose,
 python3-pyflakes,
 python3-setuptools,
 python3-six,
 python3-testfixtures,
Standards-Version: 4.4.1
Homepage: https://github.com/ppolewicz/logfury
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-logfury
Vcs-Git: https://salsa.debian.org/python-team/modules/python-logfury.git
Testsuite: autopkgtest-pkg-python

Package: python3-logfury
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Responsible, logging of method calls for Python libs - Python 3.x
 logfury is for Python library maintainers. It allows for responsible,
 low-boilerplate logging of method calls.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Depends:
 check-manifest,
 python3-all,
 python3-logfury,
 python3-mock,
 python3-nose,
 python3-pyflakes,
 python3-readme-renderer,
 python3-setuptools,
 python3-testfixtures,
 yapf3,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py setup.py nosetests 2>&1; done

## python-logfury 1.0.1

=== debian/changelog ===
python-logfury (1.0.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
    - Supports Python 3.10. (Closes: #1001393)
  * Drop funcsigs patch, no longer needed.
  * Build-Depend on python3-setuptools-scm, as required upstream.
  * Patch: Unversion dependency on setuptools_scm.
  * Switch from nose to pytest, following upstream.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Run the autopkgtest against the installed module.
  * Drop unnecessary Build-Depends on python3-six, python3-pyflakes.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2022 10:36:47 -0400

=== debian/control ===
Source: python-logfury
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ondřej Kobližek <koblizeko@gmail.com>,
 Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
 python3-testfixtures,
Standards-Version: 4.6.0
Homepage: https://github.com/ppolewicz/logfury
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-logfury
Vcs-Git: https://salsa.debian.org/python-team/packages/python-logfury.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-logfury
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Responsible, logging of method calls for Python libs - Python 3.x
 logfury is for Python library maintainers. It allows for responsible,
 low-boilerplate logging of method calls.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = logfury

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-logfury,
 python3-pytest,
 python3-pyflakes,
 python3-testfixtures,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-logfury-$1\.tar\.gz/ \
  https://github.com/ppolewicz/logfury/tags .*/v?(\d\S*)\.tar\.gz
